> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific RBAC role

> Use when you need to show or edit a single role (e.g. role detail page). Includes permissions, name, and description.



## OpenAPI

````yaml /api-reference/openapi.json get /rbac/roles/{id}
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /rbac/roles/{id}:
    get:
      tags:
        - RBAC
      summary: Get a specific RBAC role
      description: >-
        Use when you need to show or edit a single role (e.g. role detail page).
        Includes permissions, name, and description.
      operationId: getRbacRole
      parameters:
        - name: id
          in: path
          description: Role ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Role details
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '404':
          description: Role not found
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````